/*******************************************************************************
 * PROJECT         C520
 * FILE            5BEB01.DDL
 *------------------------------------------------------------------------------
 * LANGUAGE        HART-DDL, PROFIBUS-EDDL, FF-DDL
 * TOOLS           Code analysis:
 *                  is EDD Workbench v1.2.11
 *                 Tokenizer:
 *                  HCF_TOOL-24 Tokenizer Ver 5.1.12
 *                  HCF_TOOL-24 Tokenizer Ver 6.3.5
 *                  HCF_TOOL-24 Tokenizer Ver 8.1.30
 *                  SIMATIC PDM V6.0 + SP4 (K06.00.04.00)
 * TARGETSYSTEM    SDC625 / FC375/475 / AMS / PDM / FDM
 *------------------------------------------------------------------------------
 * DESCRIPTION     Basis of Device Description
 *                 contains DD identification 
 *                 and includes all other device description parts
 *
 ******************************************************************************/

/*
 * LOG:
 * Dev/DD  date     author  mark    reason
 * 01.01   10-10-18 GeorgB          1st version
 *
 */

MANUFACTURER INOR, DEVICE_TYPE _C520, DEVICE_REVISION 1, DD_REVISION 1

#define dscManufacturerName \
    "INOR"

#define G_PTH_MANUFIMAGE        "5BEB01_MANUF.jpg"

#define dscDeviceName \
    "C520/R520"

#define G_PTH_DEVICEIMAGE       "5BEB01_DEVICE.gif"

#define G_ELS_MANUFACTURER_ID_PL \
    {  91, "INOR" }

#define G_DEVICE_TYPE_NUMBER_PL     235

#define G_ELS_DEVICE_TYPE_PL \
    { 235, "C520/R520" }

#define G_ELS_EXP_DEVICE_TYPE_PL \
    { 0x00eb, "C520/R520" },\
    { 0x5beb, "C520/R520" }


/*******************************************************************************
 * includes
 * (don't change the order)
 *******************************************************************************/
/*#include "bi_codes.h"*/
#include "Methods.h"
/*#include "macros.ddl"*/
#include "Macros.h"


/* Switch definitions, text replacement and macros */
#include "5BEB01_MAC.dd"

/* Dictionary */
#include "5BEB01_DIC.dd"

/* device variables and analog channels according to HART standard */
#include "5BEB01_DVAC.dd"

/* Import/adaptation of standard tables, commands, methods */
#include "5BEB01_IMP.dd"

/* process input */
//#include "5BEB01_SPI.dd"

/* IO and counters */
//#include "5BEB01_SIO.dd"

/* device */
//#include "5BEB01_SDEV.dd"

/* linearization table */
#ifdef G_LINEARIZATION_SUPPORT
    #include "5BEB01_LIN.dd"
#endif

/* device specific variables and commands */
#include "5BEB01_SPEC.dd"

/* Menues */
#include "5BEB01_MEMT.dd"

/* EDD menu elements */
/* placed here to keep symbols numbering for AMS consistent between old and new tokenizer */
/*#ifdef IS_DD_ENHANCEMENTS_SUPPORTED
#include "C520H_1_EMEMT.dd"
#endif*/

/* Up-/Download menus etc. */
#include "5BEB01_GEN.dd"


